Skip to main content
This table is horizontally scrollable, version information is located in the last column.
VariableDescriptionDefaultVersionNeed recompileDeprecated in Version
Deprecated ETHEREUM_JSONRPC_JSON_RPC_TRANSPORTSpecifies the transport for blockscout to connect to the Ethereum Node. Available transports are http and ipc. If ipc is selected, also set IPC_PATH variable. Replaced with ETHEREUM_JSONRPC_TRANSPORThttpv2.1.1+v3.1.0
Deprecated COINMARKETCAP_PAGESthe number of pages on coinmarketcap to list in order to find token’s price10v1.3.10+v2.0.4
Deprecated COIN_GECKO_IDCoinGecko coin id required for fetching an exchange ratepoa-networkv2.0.4+v2.1.0
Deprecated NETWORK_ICONEnvironment variable for the main network icon or testnet icon. Two options are _test_network_icon.html and _network_icon.html_network_icon.htmlAllv2.0.0
Deprecated REWARDS_CONTRACT_ADDRESSEmission rewards contract address. This env var is used only if EMISSION_FORMAT is set to POA . Replaced with REWARDS_CONTRACT0xeca443e8e1ab29971a45a9c57a6a9875701698a5v2.0.4+v3.1.0
Deprecated OMNI_BRIDGE_MEDIATORAn address of home OmniBridge mediator to bridge multiple tokens from Ethereum. Providing this address enables bridged tokens functionality: bridged status and link to the original token in the foreign chain.(empty)v3.3.2+v3.6.0
Deprecated ENABLE_1559_SUPPORTEnables store and display of additional fields on block and transaction according to EIP-1559falsev4.0.0+v4.1.0
Deprecated BLOCK_COUNT_CACHE_PERIODtime to live of blocks with consensus count cache in seconds. This var was introduced in #18762 hoursv2.0.0+v4.1.3
Deprecated TXS_COUNT_CACHE_PERIODInterval in seconds to restart the task, which calculates the total txs count.2 hoursv1.3.9+v4.1.3
Deprecated ADDRESS_COUNT_CACHE_PERIODtime to live of cache in seconds. This var was introduced in #28222 hoursv2.1.1+v4.1.3
Deprecated ADDRESS_SUM_CACHE_PERIODtime to live of addresses sum (except burn address) cache in seconds. This var was introduced in #28621 hourv2.1.1+v4.1.3
Deprecated TOTAL_GAS_USAGE_CACHE_PERIODInterval in seconds to restart the task, which calculates the total gas usage.2 hoursv3.4.0+v4.1.3
Deprecated ADDRESS_TRANSACTIONS_GAS_USAGE_COUNTER_CACHE_PERIODInterval in seconds to restart the task, which calculates gas usage at the address.30 minutesv3.4.0+v4.1.3
Deprecated TOKEN_HOLDERS_COUNTER_CACHE_PERIODInterval in seconds to restart the task, which calculates holders count of the token.1 hourv3.4.0+v4.1.3
Deprecated TOKEN_TRANSFERS_COUNTER_CACHE_PERIODInterval in seconds to restart the task, which calculates transfers count of the token.1 hourv3.4.0+v4.1.3
Deprecated ADDRESS_WITH_BALANCES_UPDATE_INTERVALInterval in seconds to restart the task, which calculates addresses with balances.30 minutesv1.3.9+v4.1.3
Deprecated AVERAGE_BLOCK_CACHE_PERIODUpdate of average block period cache, in seconds30 minutesv2.0.2+v4.1.3
Deprecated MARKET_HISTORY_CACHE_PERIODUpdate of market history cache, in seconds6 hoursv2.0.2+v4.1.3
Deprecated COINGECKO_COIN_IDExplicitly set CoinGecko coin ID(empty)v3.1.2+v4.1.4
Deprecated SOURCE_MODULEThis environment variable is used to calculate the exchange rate and is specifically used by the xDai Chain. Available value is TokenBridge(empty)v1.0.0+v4.1.4
Deprecated POS_STAKING_CONTRACTThe address of POSDAO staking contract. When provided, enables staking DApp. ValidatorSet and BlockReward contract addresses are fetched using corresponding getters.(empty)v3.4.0+v4.1.x
Deprecated POS_ETH_SUBSCRIBE_MAX_DELAYUsed by the staking DApp. The number of seconds of max delay after the latest block number arrived from eth_subscribe. Once this time is elapsed, the staking DApp automatically switches to eth_blockNumber which then is requested every POS_ETH_BLOCKNUMBER_PULL_INTERVAL milliseconds until eth_subscribe works again.60v3.6.0+v4.1.x
Deprecated POS_ETH_BLOCKNUMBER_PULL_INTERVALAn interval between eth_blockNumber requests (in milliseconds) made by staking DApp to retrieve a new block number. Used when eth_subscribe stops working.500v3.6.0+v4.1.x
Deprecated ENABLE_POS_STAKING_IN_MENUEnables Staking dapp in the menufalsev3.6.0+v4.1.x
Deprecated SHOW_STAKING_WARNINGDisables/enables announcement inside staking dappfalsev3.6.0+v4.1.x
Deprecated STAKING_WARNING_MESSAGEMessage text of the announcement inside staking dapp(empty)v3.6.0+v4.1.x
Deprecated ETH_OMNI_BRIDGE_MEDIATORAn address of home OmniBridge mediator to bridge multiple tokens from Ethereum. Providing this address enables bridged tokens functionality: bridged status and link to the original token in the foreign chain.(empty)v3.6.0+v4.1.x
Deprecated BSC_OMNI_BRIDGE_MEDIATORAn address of home OmniBridge mediator to bridge multiple tokens from Binance Smart Chain. Providing this address enables bridged tokens functionality: bridged status and link to the original token in the foreign chain.(empty)v3.6.0+v4.1.x
Deprecated AMB_BRIDGE_MEDIATORSA comma-separated list of AMB extensions’ mediators’ addresses’ hashes to fetch bridged tokens through those mediators.(empty)v3.6.0+v4.1.x
Deprecated FOREIGN_JSON_RPCJSON RPC endpoint to the foreign chain in order to get metadata of bridged through Omni-bridge token. It was introduced in this PR #3282(empty)v3.3.3+v4.1.x
Deprecated BRIDGE_MARKET_CAP_UPDATE_INTERVALMarket cap update interval for `TokenBridge` supply module as for TokenBridge and for OmniBridge as well, in seconds. It was introduced in this PR #329330 minutesv3.3.3+v4.1.x
Deprecated DISABLE_BRIDGE_MARKET_CAP_UPDATERDisables recurring consolidation of TokenBridge market cap from TokenBridge, OmniBridge and AMB extensions(empty)v3.3.3+v4.1.x
Deprecated EXTERNAL_APPSAn array of external apps to display in Apps menu item. This var was introduced in this PR #3184 and looks like an array of JSON objects.(empty)v3.3.1+v5.0.0
Deprecated API_PATHPATH in API endpoint URL at API docs page./v3.1.0+v5.1.1
Deprecated SOCKET_ROOTCustom websocket path.(empty)v3.0.0+v5.1.1
Deprecated MAX_SIZE_UNLESS_HIDE_ARRAYHide long arrays in smart-contracts. To get more details: #421850v3.7.1+v5.1.2
Deprecated ALLOWED_EVM_VERSIONSthe comma-separated list of allowed EVM versions for contract verification. This var was introduced in #1964”homestead, tangerineWhistle, spuriousDragon, byzantium, constantinople, petersburg,istanbul”v2.0.0+v5.1.2
Deprecated DISABLE_KNOWN_TOKENSDisables or enables token symbol for known contract.falsev3.4.0+v5.1.2
Deprecated TOKEN_BALANCE_ON_DEMAND_FETCHER_THRESHOLD_MINUTESA threshold to invalidate token balance cache. Implemented in #387060 minutesv3.7.1+v5.1.2
Deprecated COIN_BALANCE_ON_DEMAND_FETCHER_THRESHOLD_MINUTESA threshold to invalidate coin balance cache. Implemented in #524060 minutesv4.1.2+v5.1.2
Deprecated CUSTOM_CONTRACT_ADDRESSES_TEST_TOKENList of test tokens addresses: test label will be applied and those tokens will be excluded from omni bridge market cap calculation.(empty)v3.6.0+v5.1.2
Deprecated CACHE_TOKEN_EXCHANGE_RATE_PERIODManaging cache invalidation for token’s exchange rate.1 hourv3.5.0+v5.1.2
Deprecated INDEXER_DISABLE_EMPTY_BLOCK_SANITIZEREmpty blocks sanitizer is disabled if truefalsev4.1.3+v5.1.2
Deprecated HISTORY_FETCH_INTERVALInterval how often to request count of txs per current day in order to display txs count per day chart on the main page. Time format.1hv3.1.2+v5.1.3
Deprecated WOBSERVER_ENABLEDIf true enables wobserver interface.(empty)v3.3.2+v5.1.3
Deprecated VISUALIZE_SOL2UML_ENABLEDIf true, integration with Rust sol2uml visualizer is enabled. Implemented in #6401(empty)v5.0.0+v5.1.3
Deprecated VISUALIZE_SOL2UML_SERVICE_URLURL of Rust visualizer. Implemented in #6401(empty)v5.0.0+v5.1.3
Deprecated SIG_PROVIDER_SERVICE_URLIf true, integration with Rust sig-provider service is enabled. Implemented in #6541(empty)v5.1.0+v5.1.3
Deprecated SIG_PROVIDER_ENABLEDURL of Rust sig-provider service. Implemented in #6541(empty)v5.1.0+v5.1.3
Deprecated ENABLE_RUST_VERIFICATION_SERVICEIf true, integration with Rust smart-contract verifier is enabled. Implemented in #5860(empty)v4.1.8+v5.1.3
Deprecated RUST_VERIFICATION_SERVICE_URLURL of Rust smart-contract verifier. Implemented in #5860(empty)v4.1.8+v5.1.3
Deprecated LINK_TO_OTHER_EXPLORERStrue/false. If true, links to other explorers are added in the footer.(empty)v1.3.0+v5.1.3
Deprecated OTHER_EXPLORERSThe list of alternative explorers. This env var was introduced in PR #3414.(empty)v3.4.0+v5.1.3
Deprecated FOOTER_ENABLE_FORUM_LINKEnable forum menu item in the footer. Implemented in #6351falsev5.0.0+v5.1.3
Deprecated ENABLE_SOURCIFY_INTEGRATIONEnables or disables verification of contracts through Sourcify.falsev3.7.0+v5.1.3
Deprecated ENABLE_TXS_STATSDisables or enables txs per day stats gathering.truev3.1.2+v5.1.3
Deprecated CACHE_ENABLE_TOTAL_GAS_USAGE_COUNTERif true, enables cache for total gas usage counter.falsev5.1.2+v5.1.3
Deprecated LOGO_FOOTEREnvironment variable for the footer logo image location. The logo files names for different chains can be found here./images/blockscout_logo.svgv5.1.3
Deprecated INDEXER_TOKEN_INSTANCE_CONCURRENCYConcurrency for token instance fetcher. Implemented in #6981.10v5.1.2+v5.1.4
Deprecated INDEXER_TOKEN_INSTANCE_BATCH_SIZEBatch size for token instance fetcher. Implemented in #6981.1v5.1.2+v5.1.4
Deprecated DISABLE_TOKEN_INSTANCE_FETCHERIf true, token instance fetcher doesn’t runfalsev5.0.0+v5.1.4
Deprecated ACCOUNT_AUTH0_LOGOUT_URLAuth0 logout URL Ueberauth Auth0(empty)v5.0.0+v5.1.4
Deprecated ACCOUNT_AUTH0_LOGOUT_RETURN_URLAuth0 logout return URL Ueberauth Auth0(empty)v5.0.0+v5.1.4
Deprecated ACCOUNT_AUTHENTICATE_ENDPOINT_API_KEYapi/account/v1/authenticate api key (#7068)(empty)v5.1.2+v5.1.5
Deprecated DISABLE_READ_APIIf true, read-only endpoints to API are hidden (compile-time).falsev2.0.3+v5.1.5
Deprecated DISABLE_WRITE_APIIf true, write endpoints to API are hidden (compile-time).falsev2.0.3+v5.1.5
Deprecated CONTRACT_VERIFICATION_ALLOWED_EVM_VERSIONSthe comma-separated list of allowed EVM versions for contract verification. This var was introduced in #1964”homestead, tangerineWhistle, spuriousDragon, byzantium, constantinople, petersburg,istanbul”v2.0.0+v5.2.0
Deprecated EXCHANGE_RATES_SOURCEThis environment variable is used to calculate the exchange rates. Available value is token_bridge. Available values are also coin_gecko and coin_market_cap.(empty)v4.1.4+v5.2.3
Deprecated INDEXER_ZKEVM_BATCHES_ENABLEDEnables Polygon zkEVM batches fetcher. Implemented in #7584.falsev5.3.1+v6.2.0
Deprecated INDEXER_ZKEVM_BATCHES_CHUNK_SIZEThe number of Polygon zkEVM batches in one chunk when reading them from RPC. Implemented in #7584.20v5.3.1+v6.2.0
Deprecated INDEXER_ZKEVM_BATCHES_RECHECK_INTERVALThe latest batch rechecking interval, seconds. Implemented in #7584.60v5.3.1+v6.2.0
Deprecated GRAPHIQL_TRANSACTIONDefault transaction hash in a sample query to GraphiQL.(empty)v1.2.0+v6.4.0
Deprecated INDEXER_TOKEN_INSTANCE_RETRY_REFETCH_INTERVALInterval between attempts to fetch token instance metadata. Time format. Implemented in #7286.24hv5.1.4+v6.6.0
Deprecated INDEXER_INTERNAL_TRANSACTIONS_INDEXING_FINISHED_THRESHOLDIn the case when the 1st tx in the chain already has internal transactions, If the number of blocks in pending_block_operations is less than the value in this env var, Blockscout will consider, that indexing of internal transactions finished, otherwise, it will consider, that indexing is still taking place and the indexing banner will appear at the top. Implemented in #7576.1000v5.2.0+v6.6.0
Deprecated INDEXER_OPTIMISM_L1_DEPOSITS_START_BLOCKThe number of the L1 block from which deposits will be fetched. Implemented in #6993.(empty)v6.3.0+v6.8.0
Deprecated INDEXER_OPTIMISM_L1_WITHDRAWALS_START_BLOCKThe number of start block on L1 to index withdrawal events. If the table of withdrawal events is not empty, the process will continue indexing from the last indexed withdrawal event. Implemented in #6980.(empty)v6.3.0+v6.8.0
Deprecated INDEXER_OPTIMISM_L1_OUTPUT_ROOTS_START_BLOCKThe number of start block on L1 to index output roots. If the table of output roots is not empty, the process will continue indexing from the last indexed root. Implemented in #6980.(empty)v6.3.0+v6.8.0
Deprecated INDEXER_OPTIMISM_L1_BATCH_START_BLOCKThe number of start block on L1 to index transaction batches. If the table of batches is not empty, the process will continue indexing from the last indexed batch. Implemented in #6980.(empty)v6.3.0+v6.8.0
Deprecated INDEXER_OPTIMISM_L1_DEPOSITS_BATCH_SIZENumber of blocks in a single eth_getLogs request of the Deposits fetcher. Implemented in #6993.500v6.3.0+v6.8.0
Deprecated METRICS_DISABLE_PUBLICVariable to disable running queries at /public-metrics endpoint. Implemented in #10279.falsev6.7.2+v6.8.0
Deprecated RESTRICTED_LISTA comma-separated list of addresses to enable restricted access to them.(empty)v3.3.3+v6.10.0
Deprecated RESTRICTED_LIST_KEYA key to access addresses listed inRESTRICTED_LIST variable. Can be passed via query param to the page’s URL: ?key=...(empty)v3.3.3+v6.10.0
Deprecated CHECKSUM_FUNCTIONDefines checksum address function. 2 available values: rsk, ethethv2.0.1+v7.0.0
Deprecated TOKEN_ID_MIGRATION_FIRST_BLOCKBottom block for token id migration. Implemented in #63910v5.0.0+v7.0.0
Deprecated TOKEN_ID_MIGRATION_CONCURRENCYNumber of workers performing the token id migration. Implemented in #63911v5.0.0+v7.0.0
Deprecated TOKEN_ID_MIGRATION_BATCH_SIZEInterval of token transfer block numbers processed by a token id migration worker at a time. Implemented in #6391500v5.0.0+v7.0.0
Deprecated SHRINK_INTERNAL_TRANSACTIONS_BATCH_SIZEBatch size of the shrink internal transactions migration. Note: before release “v6.8.0”, the default value was 1000. Implemented in #10567, changed default value in #10689.100v6.8.0+v7.0.0
Deprecated SHRINK_INTERNAL_TRANSACTIONS_CONCURRENCYConcurrency of the shrink internal transactions migration. Implemented in #10567.10v6.8.0+v7.0.0
Deprecated TOKEN_INSTANCE_OWNER_MIGRATION_CONCURRENCYConcurrency of new fields backfiller implemented in #83865v5.3.0+v7.0.0
Deprecated TOKEN_INSTANCE_OWNER_MIGRATION_BATCH_SIZEBatch size of new fields backfiller implemented in #838650v5.3.0+v7.0.0
Deprecated TOKEN_INSTANCE_OWNER_MIGRATION_ENABLEDEnable of backfiller from #8386 implemented in #8752falsev5.3.2+v7.0.0
Deprecated DENORMALIZATION_MIGRATION_BATCH_SIZENumber of transactions to denormalize (add block timestamp and consensus) in the batch.500v6.0.0+v7.0.0
Deprecated DENORMALIZATION_MIGRATION_CONCURRENCYNumber of parallel denormalization transaction batches processing.10v6.0.0+v7.0.0
Deprecated TOKEN_TRANSFER_TOKEN_TYPE_MIGRATION_BATCH_SIZENumber of token transfers to denormalize (add token_type) in the batch.100v6.3.0+v7.0.0
Deprecated TOKEN_TRANSFER_TOKEN_TYPE_MIGRATION_CONCURRENCYNumber of parallel denormalization token transfer batches processing.1v6.3.0+v7.0.0
Deprecated SANITIZE_INCORRECT_NFT_BATCH_SIZENumber of token transfers to sanitize in the batch.100v6.3.0+v7.0.0
Deprecated SANITIZE_INCORRECT_NFT_CONCURRENCYNumber of parallel sanitizing token transfer batches processing.1v6.3.0+v7.0.0
Deprecated SANITIZE_INCORRECT_NFT_TIMEOUTTimeout between sanitizing token transfer batches processing. Implemented in #113580v6.10.0+v7.0.0
Deprecated SANITIZE_INCORRECT_WETH_BATCH_SIZENumber of token transfers to sanitize in the batch. Implemented in #10134100v6.8.0+v7.0.0
Deprecated SANITIZE_INCORRECT_WETH_CONCURRENCYNumber of parallel sanitizing token transfer batches processing. Implemented in #101341v6.8.0+v7.0.0
Deprecated SANITIZE_INCORRECT_WETH_TIMEOUTTimeout between sanitizing token transfer batches processing. Implemented in #113580v6.10.0+v7.0.0
Deprecated REINDEX_INTERNAL_TRANSACTIONS_STATUS_BATCH_SIZENumber of internal transactions to reindex in the batch. Implemented in #11358100v6.10.0+v7.0.0
Deprecated REINDEX_INTERNAL_TRANSACTIONS_STATUS_CONCURRENCYNumber of parallel reindexing internal transaction batches processing. Implemented in #113581v6.10.0+v7.0.0
Deprecated REINDEX_INTERNAL_TRANSACTIONS_STATUS_TIMEOUTTimeout between reindexing internal transaction batches processing. Implemented in #113580v6.10.0+v7.0.0
Deprecated FILECOIN_PENDING_ADDRESS_OPERATIONS_MIGRATION_BATCH_SIZESpecifies the number of address records processed per batch during the backfill of pending address fetch operations. Implemented in #10468.100v6.9.0+v7.0.0
Deprecated FILECOIN_PENDING_ADDRESS_OPERATIONS_MIGRATION_CONCURRENCYSpecifies the number of concurrent processes used during the backfill of pending address fetch operations. Implemented in #10468.1v6.9.0+v7.0.0
Deprecated ARBITRUM_DA_RECORDS_NORMALIZATION_MIGRATION_BATCH_SIZESpecifies the number of address records processed per batch during normalization of batch-to-blob associations by moving them from arbitrum_da_multi_purpose to a dedicated arbitrum_batches_to_da_blobs table. Implemented in #11798.500v6.10.1+v7.0.0
Deprecated ARBITRUM_DA_RECORDS_NORMALIZATION_MIGRATION_CONCURRENCYSpecifies the number of concurrent processes used during normalization of batch-to-blob associations by moving them from arbitrum_da_multi_purpose to a dedicated arbitrum_batches_to_da_blobs table. Implemented in #11798.1v6.10.1+v7.0.0
Deprecated CACHE_ADDRESS_WITH_BALANCES_UPDATE_INTERVALInterval to restart the task which calculates addresses with balances.30mv4.1.3+v8.0.0
Deprecated HEALTHY_BLOCKS_PERIODNew blocks indexed max delay in /health API endpoint. Time format. Implemented in #22945mv2.0.2+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTORANK_LIMITSets the maximum number of token prices returned in a single request. Implemented in #10550.1000v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_SOURCESource for native coin and tokens price fetching. Possible values are: coin_gecko, coin_market_cap or mobula. Replaced with MARKET_NATIVE_COIN_SOURCEcoin_geckov4.1.4+v8.0.0
Deprecated EXCHANGE_RATES_SECONDARY_COIN_SOURCESource for secondary coin fetching. Possible values are: coin_gecko, coin_market_cap or mobula. Replaced with MARKET_SECONDARY_COIN_SOURCEcoin_geckov6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_MARKET_CAP_SOURCESets the source for market cap fetching. Available values coin_gecko, mobula, coin_market_cap, cryptorank. Replaced with MARKET_MARKET_CAP_HISTORY_SOURCEcoin_geckov5.2.3+v8.0.0
Deprecated EXCHANGE_RATES_TVL_SOURCESets the source for TVL fetching. Available value is defillama. Replaced with MARKET_TVL_HISTORY_SOURCE(empty)v5.3.0+v8.0.0
Deprecated EXCHANGE_RATES_PRICE_SOURCESets the source for price fetching. Available values are crypto_compare, coin_gecko, mobula, coin_market_cap and cryptorank. Replaced with MARKET_NATIVE_COIN_HISTORY_SOURCEcrypto_comparev5.2.3+v8.0.0
Deprecated EXCHANGE_RATES_MOBULA_COIN_IDExplicitly set Mobula coin ID. Replaced with MARKET_MOBULA_COIN_ID(empty)v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_MOBULA_SECONDARY_COIN_IDExplicitly set Mobula coin ID for secondary coin market chart. Replaced with MARKET_MOBULA_SECONDARY_COIN_ID(empty)v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_MOBULA_API_KEYMobula API key. Replaced with MARKET_MOBULA_API_KEY(empty)v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_COINGECKO_COIN_IDExplicitly set CoinGecko coin ID. Replaced with MARKET_COINGECKO_COIN_ID(empty)v4.1.4+v8.0.0
Deprecated EXCHANGE_RATES_COINGECKO_SECONDARY_COIN_IDExplicitly set CoinGecko coin ID for secondary coin market chart. Implemented in #9483. Replaced with MARKET_COINGECKO_SECONDARY_COIN_ID(empty)v6.3.0+v8.0.0
Deprecated EXCHANGE_RATES_COINGECKO_API_KEYCoinGecko API key. Replaced with MARKET_COINGECKO_API_KEY(empty)v4.1.4+v8.0.0
Deprecated EXCHANGE_RATES_COINGECKO_BASE_URLIf set, overrides the Coingecko base URL. Implemented in #9679. Replaced with MARKET_COINGECKO_BASE_URL(empty)v6.4.0+v8.0.0
Deprecated EXCHANGE_RATES_COINGECKO_BASE_PRO_URLIf set, overrides the Coingecko Pro base URL. Implemented in #9679. Replaced with MARKET_COINGECKO_BASE_PRO_URL(empty)v6.4.0+v8.0.0
Deprecated EXCHANGE_RATES_COINMARKETCAP_API_KEYCoinMarketCap API key. Required, if EXCHANGE_RATES_MARKET_CAP_SOURCE, EXCHANGE_RATES_PRICE_SOURCE is set to coin_market_cap. Replaced with MARKET_COINMARKETCAP_API_KEY(empty)v4.1.4+v8.0.0
Deprecated EXCHANGE_RATES_COINMARKETCAP_COIN_IDCoinMarketCap coin id. Replaced with MARKET_COINMARKETCAP_COIN_ID(empty)v5.2.1+v8.0.0
Deprecated EXCHANGE_RATES_COINMARKETCAP_SECONDARY_COIN_IDCoinMarketCap coin id for secondary coin market chart. Implemented in #9483. Replaced with MARKET_COINMARKETCAP_SECONDARY_COIN_ID(empty)v6.3.0+v8.0.0
Deprecated EXCHANGE_RATES_COINMARKETCAP_BASE_URLIf set, overrides the CoinMarketCap base URL (Free and Pro). Implemented in #9679. Replaced with MARKET_COINMARKETCAP_BASE_URL(empty)v6.4.0+v8.0.0
Deprecated EXCHANGE_RATES_DEFILLAMA_COIN_IDDefiLlama coin id. Replaced with MARKET_DEFILLAMA_COIN_ID(empty)v5.3.0+v8.0.0
Deprecated EXCHANGE_RATES_FETCH_BTC_VALUEif true explorer application will fetch btc_value for token exchange rates. Implemented in #5671. Replaced with MARKET_FETCH_BTC_VALUE(empty)v4.1.5+v8.0.0
Deprecated EXCHANGE_RATES_COINGECKO_PLATFORM_IDCoinGecko platform id for which token prices are fetched, see full list in /asset_platforms endpoint. Implemented in #6925. Replaced with MARKET_COINGECKO_PLATFORM_IDethereumv5.1.2+v8.0.0
Deprecated TOKEN_EXCHANGE_RATE_INTERVALInterval between batch requests of token prices. Can be decreased in order to fetch prices faster if you have pro rate limit. Time format. Implemented in #6925. Replaced with MARKET_TOKENS_INTERVAL5sv5.1.2+v8.0.0
Deprecated TOKEN_EXCHANGE_RATE_REFETCH_INTERVALInterval between refetching token prices, responsible for the relevance of prices. Time format. Implemented in #6925. Replaced with MARKET_TOKENS_REFETCH_INTERVAL1 hourv5.1.2+v8.0.0
Deprecated TOKEN_EXCHANGE_RATE_MAX_BATCH_SIZEBatch size of a single token price request. Implemented in #6925. Replaced with MARKET_TOKENS_MAX_BATCH_SIZE150v5.1.2+v8.0.0
Deprecated DISABLE_TOKEN_EXCHANGE_RATEIf true disables fetching of token price. Implemented in #6925. Replaced with MARKET_TOKENS_FETCHER_ENABLED (with inverted default)truev5.1.2+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTOCOMPARE_SECONDARY_COIN_SYMBOLCryptoCompare coin symbol for secondary coin market chart. Implemented in #9483. Replaced with MARKET_CRYPTOCOMPARE_SECONDARY_COIN_SYMBOL(empty)v6.3.0+v8.0.0
Deprecated TOKEN_EXCHANGE_RATES_SOURCESets the source for tokens price fetching. Available values are coin_gecko, cryptorank. Implemented in #10550. Replaced with MARKET_TOKENS_SOURCEcoin_geckov6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTORANK_SECONDARY_COIN_IDSets Cryptorank coin ID for secondary coin market chart. Implemented in #10550. Replaced with MARKET_CRYPTORANK_SECONDARY_COIN_ID(empty)v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTORANK_PLATFORM_IDSets Cryptorank platform ID. Implemented in #10550. Replaced with MARKET_CRYPTORANK_PLATFORM_ID(empty)v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTORANK_BASE_URLIf set, overrides the Cryptorank API url. Implemented in #10550. Replaced with MARKET_CRYPTORANK_BASE_URLhttps://api.cryptorank.io/v1/v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTORANK_API_KEYCryptorank API key. Current implementation uses dedicated beta Cryptorank API endpoint. If you want to integrate Cryptorank price fetching you should contact Cryptorank to receive an API key. Implemented in #10550. Replaced with MARKET_CRYPTORANK_API_KEY(empty)v6.8.0+v8.0.0
Deprecated EXCHANGE_RATES_CRYPTORANK_COIN_IDSets Cryptorank coin ID. Implemented in #10550. Replaced with MARKET_CRYPTORANK_COIN_ID(empty)v6.8.0+v8.0.0
Deprecated CACHE_EXCHANGE_RATES_PERIODValue to tune the time to live of exchange rates. Time format. Implemented in #5671.10mv4.1.5+v8.0.0
Deprecated DISABLE_EXCHANGE_RATESDisables or enables fetching of coin price from Coingecko API. Replaced with DISABLE_MARKETfalsev3.1.2+v8.0.0
Deprecated INDEXER_DISABLE_MULTICHAIN_SEARCH_DB_EXPORT_RETRY_FETCHERIf true, retry multichain search export fetcher doesn’t run. Implemented in #12377. Replaced with INDEXER_DISABLE_MULTICHAIN_SEARCH_DB_EXPORT_MAIN_QUEUE_PROCESSOR_FETCHER.falsev8.1.0+v9.0.0
Deprecated INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_RETRY_BATCH_SIZEBatch size for retry multichain search export fetcher. Implemented in #12377. Replaced with INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_MAIN_QUEUE_PROCESSOR_BATCH_SIZE.10v8.1.0+v9.0.0
Deprecated INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_RETRY_CONCURRENCYConcurrency for retry multichain search export fetcher. Implemented in #12377. Replaced with INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_MAIN_QUEUE_PROCESSOR_CONCURRENCY.10v8.1.0+v9.0.0
Deprecated INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_RETRY_ENQUEUE_BUSY_WAITING_TIMEOUTTimeout before new attempt to append item to retry multichain search export queue if it’s full. Time format. Implemented in #12377. Replaced with INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_MAIN_QUEUE_PROCESSOR_ENQUEUE_BUSY_WAITING_TIMEOUT.1sv8.1.0+v9.0.0
Deprecated INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_RETRY_MAX_QUEUE_SIZEMaximum size of retry multichain search export queue. Implemented in #12377. Replaced with INDEXER_MULTICHAIN_SEARCH_DB_EXPORT_MAIN_QUEUE_PROCESSOR_MAX_QUEUE_SIZE.1000v8.1.0+v9.0.0
Deprecated API_RATE_LIMIT_TIME_INTERVALTime interval of rate limit. Implemented in #7148. Replaced with API_RATE_LIMIT_BY_KEY_TIME_INTERVAL, API_RATE_LIMIT_BY_WHITELISTED_IP_TIME_INTERVAL, API_RATE_LIMIT_UI_V2_WITH_TOKEN_TIME_INTERVAL, API_RATE_LIMIT_BY_ACCOUNT_API_KEY_TIME_INTERVAL, API_RATE_LIMIT_BY_IP_TIME_INTERVAL1sv5.1.3+v9.0.0
Deprecated API_RATE_LIMIT_UI_V2_TOKEN_TTL_IN_SECONDSTTL for token issued after submitting correct CAPTCHA for an API v2 requests from UI. In seconds. Implemented in #7148v5.1.3+v9.0.0
Deprecated INDEXER_POLYGON_EDGE_L1_RPCThe RPC endpoint for L1 used to fetch deposit or withdrawal events. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L1_EXIT_HELPER_CONTRACTThe address of ExitHelper contract on L1 (root chain) used to fetch withdrawal exits. Required for withdrawal events indexing. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L1_WITHDRAWALS_START_BLOCKThe number of start block on L1 (root chain) to index withdrawal exits. If the table of withdrawal exits is not empty, the process will continue indexing from the last indexed message. If empty or not defined, the withdrawal exits are not indexed. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L1_STATE_SENDER_CONTRACTThe address of StateSender contract on L1 (root chain) used to fetch deposits. Required for deposit events indexing. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L1_DEPOSITS_START_BLOCKThe number of start block on L1 (root chain) to index deposits. If the table of deposits is not empty, the process will continue indexing from the last indexed message. If empty or not defined, the deposits are not indexed. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L2_STATE_SENDER_CONTRACTThe address of L2StateSender contract on L2 (child chain) used to fetch withdrawals. Required for withdrawal events indexing. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L2_WITHDRAWALS_START_BLOCKThe number of start block on L2 (child chain) to index withdrawals. If the table of withdrawals is not empty, the process will fill gaps and then continue indexing from the last indexed message. If empty or not defined, the withdrawals are not indexed. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L2_STATE_RECEIVER_CONTRACTThe address of StateReceiver contract on L2 (child chain) used to fetch deposit executes. Required for deposit events indexing. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_L2_DEPOSITS_START_BLOCKThe number of start block on L2 (child chain) to index deposit executes. If the table of deposit executes is not empty, the process will fill gaps and then continue indexing from the last indexed message. If empty or not defined, the deposit executes are not indexed. Implemented in #8180.v5.3.0+v9.1.0
Deprecated INDEXER_POLYGON_EDGE_ETH_GET_LOGS_RANGE_SIZEBlock range size for eth_getLogs request in Polygon Edge indexer modules. Implemented in #8180.v5.3.0+v9.1.0
Deprecated ACCOUNT_PUBLIC_TAGS_AIRTABLE_URLAirtable URL for public tag requests functionalityv5.0.0+v9.1.0
Deprecated ACCOUNT_PUBLIC_TAGS_AIRTABLE_API_KEYAirtable API key for public tag requests functionalityv5.0.0+v9.1.0
Deprecated NFT_MEDIA_HANDLER_NODES_MAPString in json map format, where key is erlang node and value is folder in R2/S3 bucket, example: "{\"producer@172.18.0.4\": \"/folder_1\"}". If nft_media_handler runs in one pod with indexer, map should contain self keyv6.10.0+v9.2.0
Deprecated API_RATE_LIMITA global API rate limit: number or requests per second for all users. Implemented in #5030v4.1.1+v9.0.0
Deprecated CACHE_PBO_COUNT_PERIODTime interval to restart the task which calculates the total pending_block_operations count.20mv5.2.0+v10.0.0
Deprecated MIGRATION_DELETE_ZERO_VALUE_INTERNAL_TRANSACTIONS_STORAGE_PERIOD_DAYSSpecifies the period for which recent zero-value calls won’t be deleted in delete zero-value calls migration.30v9.3.0+v9.3.3
Deprecated MIGRATION_SMART_CONTRACT_LANGUAGE_DISABLEDIf set to true, the migration to the language field in the smart_contracts table will not start. If set to false, the migration proceeds as normal. Implemented in #11813.falsev8.0.0+v11.0.0
Deprecated MIGRATION_SMART_CONTRACT_LANGUAGE_BATCH_SIZEDefines the number of records to be processed in each batch when migrating the language field in the smart_contracts table. Implemented in #11813.100v8.0.0+v11.0.0
Deprecated MIGRATION_SMART_CONTRACT_LANGUAGE_CONCURRENCYSpecifies how many concurrent processes can handle the language field migration. Implemented in #11813.1v8.0.0+v11.0.0
Deprecated INDEXER_TOKEN_BALANCES_BATCH_SIZEBatch size for archival token balances fetcher. Implemented in #7439. Replaced with INDEXER_ARCHIVAL_TOKEN_BALANCES_BATCH_SIZE100v5.1.5+v10.0.0
Deprecated INDEXER_TOKEN_BALANCES_CONCURRENCYConcurrency for archival token balances fetcher. Implemented in #8167. Replaced with INDEXER_ARCHIVAL_TOKEN_BALANCES_CONCURRENCY10v5.2.2+v10.0.0
Deprecated INDEXER_TOKEN_BALANCES_EXPONENTIAL_TIMEOUT_COEFFCoefficient to calculate exponential timeout. Implemented in #10694. Replaced with INDEXER_ARCHIVAL_TOKEN_BALANCES_EXPONENTIAL_TIMEOUT_COEFF100v6.9.0+v10.0.0
Deprecated INDEXER_TOKEN_BALANCES_MAX_REFETCH_INTERVALMaximum interval between attempts to fetch address token balance. Time format. Implemented in #10694. Replaced with INDEXER_ARCHIVAL_TOKEN_BALANCES_MAX_REFETCH_INTERVAL168hv6.8.1+v10.0.0
Deprecated INDEXER_POLYGON_ZKEVM_BATCHES_ENABLEDEnables Polygon zkEVM batches fetcher. Implemented in #7584.falsev5.3.1+master
Deprecated INDEXER_POLYGON_ZKEVM_BATCHES_CHUNK_SIZEThe number of Polygon zkEVM batches in one chunk when reading them from RPC. Implemented in #7584.20v5.3.1+master
Deprecated INDEXER_POLYGON_ZKEVM_BATCHES_RECHECK_INTERVALThe latest batch rechecking interval, seconds. Implemented in #7584.60v5.3.1+master
Deprecated INDEXER_POLYGON_ZKEVM_BATCHES_IGNOREComma-separated list of batch numbers that should be ignored by the fetcher. Implemented in #12387.(empty)v9.0.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_RPCThe RPC endpoint for L1 used to fetch Deposit or Withdrawal bridge events. Implemented in #9098.(empty)v6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_BRIDGE_START_BLOCKThe number of a start block on L1 to index L1 bridge events. If the table of bridge operations is not empty, the process will continue indexing from the last indexed L1 event. If empty or not defined, the L1 events are not handled. Implemented in #9098.(empty)v6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_BRIDGE_CONTRACTThe address of PolygonZkEVMBridgeV2 contract on L1 used to fetch L1 bridge events. Required for L1 bridge events indexing. Implemented in #9098.(empty)v6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_BRIDGE_NETWORK_IDL1 Network ID in terms of Polygon zkEVM bridge (0 = Ethereum Mainnet, 1 = Polygon zkEVM, 2 = Astar zkEVM, etc.). Required if INDEXER_POLYGON_ZKEVM_L1_BRIDGE_START_BLOCK or INDEXER_POLYGON_ZKEVM_L2_BRIDGE_START_BLOCK is defined. Implemented in #9637.(empty)v6.4.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_BRIDGE_ROLLUP_INDEXL1 Rollup index in terms of Polygon zkEVM bridge (0 = Polygon zkEVM, 1 = Astar zkEVM, etc.). Not defined if L1 is Ethereum Mainnet. Required if L1 is not Ethereum Mainnet and INDEXER_POLYGON_ZKEVM_L1_BRIDGE_START_BLOCK or INDEXER_POLYGON_ZKEVM_L2_BRIDGE_START_BLOCK is defined. Implemented in #9637.(empty)v6.4.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_BRIDGE_NATIVE_SYMBOLThe symbol of the native coin on L1 to display it in the table of the bridge Deposits and Withdrawals on UI. Implemented in #9098.ETHv6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L1_BRIDGE_NATIVE_DECIMALSThe number of decimals to correctly display an amount of native coins for some Deposit or Withdrawal bridge operations on UI. Implemented in #9098.18v6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L2_BRIDGE_START_BLOCKThe number of a start block on L2 to index L2 bridge events. If the table of bridge operations is not empty, the process will continue indexing from the last indexed L2 event. If empty or not defined, the L2 events are not handled. Implemented in #9098.(empty)v6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L2_BRIDGE_CONTRACTThe address of PolygonZkEVMBridgeV2 contract on L2 used to fetch L2 bridge events. Required for L2 bridge events indexing. Implemented in #9098.(empty)v6.2.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L2_BRIDGE_NETWORK_IDL2 Network ID in terms of Polygon zkEVM bridge (1 = Polygon zkEVM, 2 = Astar zkEVM, etc.). Required if INDEXER_POLYGON_ZKEVM_L1_BRIDGE_START_BLOCK or INDEXER_POLYGON_ZKEVM_L2_BRIDGE_START_BLOCK is defined. Implemented in #9637.(empty)v6.4.0+master
Deprecated INDEXER_POLYGON_ZKEVM_L2_BRIDGE_ROLLUP_INDEXL2 Rollup index in terms of Polygon zkEVM bridge (0 = Polygon zkEVM, 1 = Astar zkEVM, etc.). Required if INDEXER_POLYGON_ZKEVM_L1_BRIDGE_START_BLOCK or INDEXER_POLYGON_ZKEVM_L2_BRIDGE_START_BLOCK is defined. Implemented in #9637.(empty)v6.4.0+master
Deprecated INDEXER_TX_ACTIONS_AAVE_V3_POOL_CONTRACTPool contract address for Aave v3 protocol. If not defined, Aave transaction actions are ignored by the indexer. Implemented in #7185.(empty)v5.1.3+master
Deprecated INDEXER_TX_ACTIONS_ENABLEIf true, transaction action indexer is active. Implemented in #6582.falsev5.1.0+master
Deprecated INDEXER_TX_ACTIONS_MAX_TOKEN_CACHE_SIZEMaximum number of items in an internal cache of tx actions indexing process (to limit memory consumption). Implemented in #6582.100000v5.1.0+master
Deprecated INDEXER_TX_ACTIONS_REINDEX_FIRST_BLOCKThe first block of a block range for historical indexing or reindexing of tx actions. Implemented in #6582.(empty)v5.1.0+master
Deprecated INDEXER_TX_ACTIONS_REINDEX_LAST_BLOCKThe last block of a block range for historical indexing or reindexing of tx actions. Implemented in #6582.(empty)v5.1.0+master
Deprecated INDEXER_TX_ACTIONS_REINDEX_PROTOCOLSComma-separated names of protocols which should be indexed or reindexed on historical blocks defined by the range. Example: uniswap_v3,zkbob - only these protocols will be indexed or reindexed for the defined block range. If the value is empty string (or not defined), all supported protocols will be indexed/reindexed. This option is not applicable to realtime and catchup fetchers (it always indexes all supported protocols). Implemented in #6582.(empty)v5.1.0+master
Deprecated INDEXER_TX_ACTIONS_UNISWAP_V3_FACTORY_CONTRACTUniswapV3Factory contract address. Implemented in #7312.0x1F98431c8aD98523631AE4a59f267346ea31F984v5.1.4+master
Deprecated INDEXER_TX_ACTIONS_UNISWAP_V3_NFT_POSITION_MANAGER_CONTRACTNonfungiblePositionManager contract address for Uniswap v3. Implemented in #7312.0xC36442b4a4522E871399CD717aBDD847Ab11FE88v5.1.4+master